This site is currently read-only as we are migrating to Oracle Forums for an improved community experience. You will not be able to initiate activity until January 30th, when you will be able to use this site as normal.

    Forum Stats

  • 3,889,920 Users
  • 2,269,775 Discussions
  • 7,916,823 Comments

Discussions

OEM 13.4 Install Agent Software in host Linux x86-64 Redhat 5.8

HulFlyS
HulFlyS Member Posts: 8
edited May 20, 2020 12:35AM in Enterprise Manager

Hello friends,

I need to install OEM Agent Software in a Linux x86-64 Redhat 5.8, but when I try to install, in the prerequisites say:

Error: "This Oracle software is not certified on the current operating system."

Cause: "Expected Result: One of enterprise-6, oracle-8, oracle-7, SuSE-11, SuSE-12, redhat-6, redhat-7 Actual Result: redhat-5.8 Test completed. The general result of this check is: Failed"
warning.png

I download and apply the Agent Software 12.1.0.5.0

Agent_Software.png

So I try to install the Agent in the host, but I can't select the 12.1.0.5.0 version:

Installation_1.png

Installation_2.png

How could I select the Agent Software 12.1.0.5.0 to install in the host Linux x86-64 Redhat 5.8?

Thanks a lot and Regards.

HulFlyS

Answers

  • Venkata Thiruveedhi-Oracle
    Venkata Thiruveedhi-Oracle Senior Principal Software Engineer Bangalore, IndiaPosts: 592 Employee
    edited May 15, 2020 11:27AM

    Hi,

    If OEM version is 13.4, you will not be able to install a 12.1.0.5 Agent.

    Scenario 1:

    If this is a new 13.4 EM install, you can only install 13.4 Agent.

    Scenario 2:

    If your environment is upgraded to 13.4 EM version, you might have upgraded from 13.2 / 13.3.

    In that case you should be able to install 13.2 / 13.3 Agent.

    Best Regards,

    Venkat

    HulFlyS
  • HulFlyS
    HulFlyS Member Posts: 8
    edited May 18, 2020 7:33AM

    Hi,

    Thank you very much for your help.

    Then I will not be able to install the Agent Software on my Linux x86-64 Redhat 5.8 server.


    Best Regards.

  • Venkata Thiruveedhi-Oracle
    Venkata Thiruveedhi-Oracle Senior Principal Software Engineer Bangalore, IndiaPosts: 592 Employee
    edited May 18, 2020 7:46AM

    Hi,

    If your environment is newly installed 13.4 EM, then yes, you can not install 12c Agent using it.

    Regards,
    Venkat

    HulFlyS
  • HulFlyS
    HulFlyS Member Posts: 8
    edited May 19, 2020 3:02AM

    Hi,

    Is there a way to force installation? I say this because it is only a warning and not is a failure.

    Best regards.

  • Venkata Thiruveedhi-Oracle
    Venkata Thiruveedhi-Oracle Senior Principal Software Engineer Bangalore, IndiaPosts: 592 Employee
    edited May 19, 2020 3:11AM

    Hi,

    From customer point of view, it just a warning.

    But this would be related to many underneath.
    + Agent Operations

    + Target Discovery

    + Target Monitoring (Collection Of Metrics + Other operations)

    Any issue during the above will not be assisted by Oracle as it is an uncertified combination.

    Best Regards,
    Venkat

    HulFlyS
  • HulFlyS
    HulFlyS Member Posts: 8
    edited May 19, 2020 3:38AM

    Ok, Thank you very much for your help.

    Best Regards.

  • Venkata Thiruveedhi-Oracle
    Venkata Thiruveedhi-Oracle Senior Principal Software Engineer Bangalore, IndiaPosts: 592 Employee
    edited May 20, 2020 12:35AM

    Hi,

    But again, which this combination, even if you try to force install the agent.

    The agent startup will fail.

    I have tried testing in one of the in house environment by forcing the agent install.. But it fails with following error:

    OMS decided to shutdown the agent because of the following reason sent from OMS:  EM_PLUGIN_MISMATCH_AND_AGENT_NOT_YET_MANAGED

    So, it will not work.

    Best Regards,
    Venkat